%define  upstream_name SystemInformation
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.0.8
Release:	%mkrel 3
Summary:	The Search component provides an interface to index and query documents
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.7
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
Provides access to common system variables, such as CPU type and speed, and
the available amount of memory.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/SystemInformation.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/SystemInformation.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/SystemInformation
fi

%files
%defattr(-,root,root)
%doc docs/SystemInformation/*
%{peardir}/data/SystemInformation/design/class_diagram.png
%{peardir}/data/SystemInformation/design/design.txt
%{peardir}/data/SystemInformation/design/requirements.txt
%{peardir}/data/SystemInformation/design/systeminformation.png
%{peardir}/data/SystemInformation/design/systeminformation.xml
%{peardir}/ezc/SystemInformation/exceptions/exception.php
%{peardir}/ezc/SystemInformation/exceptions/reader_cant_scan_os.php
%{peardir}/ezc/SystemInformation/info.php
%{peardir}/ezc/SystemInformation/interfaces/reader.php
%{peardir}/ezc/SystemInformation/readers/freebsd.php
%{peardir}/ezc/SystemInformation/readers/linux.php
%{peardir}/ezc/SystemInformation/readers/mac.php
%{peardir}/ezc/SystemInformation/readers/windows.php
%{peardir}/ezc/SystemInformation/structs/accelerator.php
%{peardir}/ezc/SystemInformation/system_autoload.php
%{peardir}/ezc/autoload/system_autoload.php
%{xmldir}/SystemInformation.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0.8-3.mga3
+ Revision: 349954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 18 2011 spuhler <spuhler> 1.0.8-2.mga2
+ Revision: 125571
- increased rel to 2
  changed Requires: components to ezcomponents

* Sun Jul 17 2011 spuhler <spuhler> 1.0.8-1.mga2
+ Revision: 125108
- imported package ezcomponents-SystemInformation

